- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Search for |

- Alphabetical List
- Data Structures
- Class Hierarchy
- Data Fields

# UConverterFromUnicodeArgs Struct Reference

The structure for the fromUnicode callback function parameter. More...

`#include <ucnv_err.h>`

## Data Fields
uint16_t | size
| The size of this struct.
UBool | flush
| The internal state of converter will be reset and data flushed if set to TRUE.
UConverter * | converter
| Pointer to the converter that is opened and to which this struct is passed as an argument.
const UChar * | source
| Pointer to the source source buffer.
const UChar * | sourceLimit
| Pointer to the limit (end + 1) of source buffer.
char * | target
| Pointer to the target buffer.
const char * | targetLimit
| Pointer to the limit (end + 1) of target buffer.
int32_t * | offsets
| Pointer to the buffer that recieves the offsets.

## Detailed Description

The structure for the fromUnicode callback function parameter.

Stable:
  ICU 2.0

Definition at line 185 of file ucnv_err.h.

## Field Documentation

uint16_t UConverterFromUnicodeArgs::size

The size of this struct.

Stable:
  ICU 2.0

Definition at line 186 of file ucnv_err.h.

UBool UConverterFromUnicodeArgs::flush

The internal state of converter will be reset and data flushed if set to TRUE.

Stable:
  ICU 2.0

Definition at line 187 of file ucnv_err.h.

UConverter* UConverterFromUnicodeArgs::converter

Pointer to the converter that is opened and to which this struct is passed as an argument.

Stable:
  ICU 2.0

Definition at line 188 of file ucnv_err.h.

const UChar* UConverterFromUnicodeArgs::source

Pointer to the source source buffer.

Stable:
  ICU 2.0

Definition at line 189 of file ucnv_err.h.

const UChar* UConverterFromUnicodeArgs::sourceLimit

Pointer to the limit (end + 1) of source buffer.

Stable:
  ICU 2.0

Definition at line 190 of file ucnv_err.h.

char* UConverterFromUnicodeArgs::target

Pointer to the target buffer.

Stable:
  ICU 2.0

Definition at line 191 of file ucnv_err.h.

const char* UConverterFromUnicodeArgs::targetLimit

Pointer to the limit (end + 1) of target buffer.

Stable:
  ICU 2.0

Definition at line 192 of file ucnv_err.h.

int32_t* UConverterFromUnicodeArgs::offsets

Pointer to the buffer that recieves the offsets.

*offset = blah ; offset++;.

Stable:
  ICU 2.0

Definition at line 193 of file ucnv_err.h.

The documentation for this struct was generated from the following file:

- ucnv_err.h